r5427 - packages/trunk/ogreal/debian

Andres Mejia ceros-guest at alioth.debian.org
Thu Jan 17 16:31:25 UTC 2008


Author: ceros-guest
Date: 2008-01-17 16:31:20 +0000 (Thu, 17 Jan 2008)
New Revision: 5427

Added:
   packages/trunk/ogreal/debian/ogreal-get-orig-source
Removed:
   packages/trunk/ogreal/debian/ogreal-tarball.sh
Log:
Renamed ogreal-tarball.sh to ogreal-get-orig-source.

Copied: packages/trunk/ogreal/debian/ogreal-get-orig-source (from rev 5426, packages/trunk/ogreal/debian/ogreal-tarball.sh)
===================================================================
--- packages/trunk/ogreal/debian/ogreal-get-orig-source	                        (rev 0)
+++ packages/trunk/ogreal/debian/ogreal-get-orig-source	2008-01-17 16:31:20 UTC (rev 5427)
@@ -0,0 +1,32 @@
+#! /bin/sh
+
+# This script is used to generate the ogreal orig tarball that can be
+# distributed through Debian.
+
+# Currently only available through SVN
+UPSTREAM_SVN="https://ogreal.svn.sourceforge.net/svnroot/ogreal/trunk/OgreAL-Eihort"
+ORIGINAL_DATE="20080117"
+REVISION="111"
+#OGREAL_TARBALL=""
+OGREAL_VERSION="0.2.5~svn$ORIGINAL_DATE.r$REVISION"
+
+if [ ! -d ogreal-$OGREAL_VERSION ]; then
+# Checkout from SVN
+	svn co -r $REVISION $UPSTREAM_SVN ogreal-$OGREAL_VERSION
+	echo "Checked out ogreal revision $REVISION from SVN"
+fi
+
+# Remove all SVN directories
+echo "Removing all .svn directories"
+for REMOVE_SVN in `find ogreal-$OGREAL_VERSION -type d -name .svn`; do
+	rm -rf "$REMOVE_SVN"
+done
+
+# Create the tarball
+if [ ! -f ogreal_$OGREAL_VERSION.orig.tar.gz ]; then
+	echo "Creating orig tarball."
+	tar -czf ogreal_$OGREAL_VERSION.orig.tar.gz ogreal-$OGREAL_VERSION/
+else
+	echo -e "Already found orig tarball. Please remove or move ogreal-$OGREAL_VERSION.tar.gz."
+	exit 1
+fi

Deleted: packages/trunk/ogreal/debian/ogreal-tarball.sh
===================================================================
--- packages/trunk/ogreal/debian/ogreal-tarball.sh	2008-01-17 16:27:25 UTC (rev 5426)
+++ packages/trunk/ogreal/debian/ogreal-tarball.sh	2008-01-17 16:31:20 UTC (rev 5427)
@@ -1,32 +0,0 @@
-#! /bin/sh
-
-# This script is used to generate the ogreal orig tarball that can be
-# distributed through Debian.
-
-# Currently only available through SVN
-UPSTREAM_SVN="https://ogreal.svn.sourceforge.net/svnroot/ogreal/trunk/OgreAL-Eihort"
-ORIGINAL_DATE="20080117"
-REVISION="111"
-#OGREAL_TARBALL=""
-OGREAL_VERSION="0.2.5~svn$ORIGINAL_DATE.r$REVISION"
-
-if [ ! -d ogreal-$OGREAL_VERSION ]; then
-# Checkout from SVN
-	svn co -r $REVISION $UPSTREAM_SVN ogreal-$OGREAL_VERSION
-	echo "Checked out ogreal revision $REVISION from SVN"
-fi
-
-# Remove all SVN directories
-echo "Removing all .svn directories"
-for REMOVE_SVN in `find ogreal-$OGREAL_VERSION -type d -name .svn`; do
-	rm -rf "$REMOVE_SVN"
-done
-
-# Create the tarball
-if [ ! -f ogreal_$OGREAL_VERSION.orig.tar.gz ]; then
-	echo "Creating orig tarball."
-	tar -czf ogreal_$OGREAL_VERSION.orig.tar.gz ogreal-$OGREAL_VERSION/
-else
-	echo -e "Already found orig tarball. Please remove or move ogreal-$OGREAL_VERSION.tar.gz."
-	exit 1
-fi




More information about the Pkg-games-commits mailing list